# Uses of Class
org.springframework.core.codec.DecodingException

Packages that use DecodingException
Package
Description
org.springframework.core.codec
`Encoder` and `Decoder` abstractions to convert between a reactive stream of bytes and Java objects.

## Uses of DecodingException in org.springframework.core.codec

Methods in org.springframework.core.codec that throw DecodingException
Modifier and Type
Method
Description
`default T`
Decoder.`decode(DataBuffer buffer, ResolvableType targetType, MimeType mimeType, Map<String,Object> hints)`
Decode a data buffer to an Object of type T.